#import <appkit/Text.h>
#import <appkit/Cell.h>

@class NXImage;

@interface SFODragDropText : Text
{
}

/* determine which cell was hit */
- (int)positionForCell:theCell;
- writeCell:theCell toPasteboard:pboard types:(NXAtom *)types;

@end

@interface NXGraphicCell : Cell

- (NXImage*)image;
- (NXDragOperation)draggingSourceOperationMaskForLocal:(BOOL)isLocal;
- (BOOL)trackMouse:(NXEvent *)theEvent inRect:(const NXRect *)cellFrame
		ofView:controlView;

@end

